Subject: RE: missing file FOO.dll
From: "Robert Collins" <[email-masked]>
To: "'Charles Wilson'" <[email-masked]>, "'Jan Nieuwenhuizen'" <[email-masked]>
Cc: <[email-masked]>
Date: Sat, 1 Jun 2002 02:03:53 +1000

> -----Original Message-----
> From: Chuck...

> [mailto:[email-masked]] On Behalf Of Charles Wilson
> Worse, assume that I had previously installed the official cygwin 
> package of ghostscript.  Even if Dario has updated his 
> setup.hint to now 
> require the libpng2 package, I won't pick up that changed dependency 

Setup should deal with this correctly today. When adding ghostscript to
the chooser it will use the current setup.ini's requires: list, not the
old one.

> I mean, we could have setup do the following:
>    1) look at all currently installed packages
>    2) check the requires: line of the corresponding packages in the 
> just-downloaded setup.ini
>    3) if any requirements for currently installed packages 
> are missing, 
> add those (new) requirements to the default "to be installed" list.

Yup. AFAIK, that's what it does now. 
 
> But, that's silly: what if MY installed version of 'foo' does NOT 
> require 'bar', but the current version of 'foo' DOES rquire 
> it?  I don't 
> *need* to install 'bar' unless I install the new 'foo'.  

Weeel. Yes. And per version meta data will sort that out. As it stands
though, setup will assume that you want to update foo, and therefore
pickup on bar as well. If the version number hasn't changed, then
installing bar is the correct thing, as it is a missing dependency (even
if it's a new package resulting from a package split.

> We could have per-version requirements: in setup.hint...but then we 
> still need to add the three steps outlined above to setup's algorithm.

And more. We need more work on the local database before per-version
requirements are really useful.
 
> As I explained, XEmacs doesn't HAVE a setup.hint.

XEmacs uses a fork of setup. Someone who cares might like to suggest
that they update their fork to a more recent codebase, or ... provide a
setup.ini for cygwin users.
 
Rob

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/